%global enable_tests 1

Name:       nodejs-grunt-lib-contrib
Version:    0.7.1
Release:    2%{?dist}
Summary:    Common functionality shared across grunt-contrib tasks
License:    MIT
URL:        https://github.com/gruntjs/grunt-lib-contrib
Source0:    https://registry.npmjs.org/grunt-lib-contrib/-/grunt-lib-contrib-%{version}.tgz

# current gzip seems more efficient than the one originally tested against
Patch0:     check_actual_gzip_size.patch

BuildArch:  noarch
ExclusiveArch: %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(grunt-cli)
BuildRequires:  npm(grunt-contrib-nodeunit)
BuildRequires:  npm(maxmin)
BuildRequires:  npm(strip-path)
%endif

%description
%{summary}.


%prep
%autosetup -p1 -n package
%nodejs_fixdep maxmin
%nodejs_fixdep strip-path


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/grunt-lib-contrib
cp -pr package.json lib/ \
    %{buildroot}%{nodejs_sitelib}/grunt-lib-contrib

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
grunt nodeunit
%endif


%files
%doc AUTHORS CHANGELOG README.md
%license LICENSE-MIT
%{nodejs_sitelib}/grunt-lib-contrib


%changelog
* Sun Aug 28 2016 Piotr Popieluch <piotr1212@gmail.com> - - 0.7.1-2
- Fixdep maxmin and strip-path

* Wed Aug 24 2016 Piotr Popieluch <piotr1212@gmail.com> - - 0.7.1-1
- Update to 0.7.1

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Oct 24 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.6.1-4
- add logic for EPEL

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Mar 19 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.6.1-2
- run tests on F21 which has the required dependency (nodejs-zlib-browserify)

* Fri Jun 21 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.6.1-1
- initial package
